diff -Nru catdoc-0.95/debian/changelog catdoc-0.95/debian/changelog
--- catdoc-0.95/debian/changelog	2017-05-19 12:16:07.000000000 +0200
+++ catdoc-0.95/debian/changelog	2017-07-20 06:32:01.000000000 +0200
@@ -1,3 +1,10 @@
+catdoc (1:0.95-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * CVE-2017-11110: Heap buffer overflow in ole_init (Closes: #867717)
+
+ -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 20 Jul 2017 06:32:01 +0200
+
 catdoc (1:0.95-2) unstable; urgency=medium
 
   * Re-enable patch that was disabled by mistake.
diff -Nru catdoc-0.95/debian/patches/05-CVE-2017-11110.patch catdoc-0.95/debian/patches/05-CVE-2017-11110.patch
--- catdoc-0.95/debian/patches/05-CVE-2017-11110.patch	1970-01-01 01:00:00.000000000 +0100
+++ catdoc-0.95/debian/patches/05-CVE-2017-11110.patch	2017-07-20 06:32:01.000000000 +0200
@@ -0,0 +1,32 @@
+Description: CVE-2017-11110: Heap buffer overflow in ole_init 
+Origin: vendor, https://build.opensuse.org/package/view_file/openSUSE:Maintenance:6985/catdoc.openSUSE_Leap_42.2_Update/CVE-2017-11110.patch?rev=d437c3be72c2e5a3516b75f4e9de6b35
+Bug-Debian: https://bugs.debian.org/867717
+Bug-SuSE: https://bugzilla.novell.com/show_bug.cgi?id=1047877
+Forwarded: no
+Author: Andreas Stieger <astieger@suse.com>
+Reviewed-by: Salvatore Bonaccorso <carnil@debian.org>
+Last-Update: 2017-07-20
+
+--- a/src/ole.c
++++ b/src/ole.c
+@@ -106,6 +106,11 @@ FILE* ole_init(FILE *f, void *buffer, si
+ 		return NULL;
+ 	}
+  	sectorSize = 1<<getshort(oleBuf,0x1e);
++	/* CVE-2017-11110 */
++	if (sectorSize < 4) {
++		fprintf(stderr, "sectorSize < 4 not supported\n");
++		return NULL;
++	}
+ 	shortSectorSize=1<<getshort(oleBuf,0x20);
+ 
+ /* Read BBD into memory */
+@@ -147,7 +152,7 @@ FILE* ole_init(FILE *f, void *buffer, si
+ 		}
+ 
+ 		fseek(newfile, 512+mblock*sectorSize, SEEK_SET);
+-		if(fread(tmpBuf+MSAT_ORIG_SIZE+(sectorSize-4)*i,
++		if(fread(tmpBuf+MSAT_ORIG_SIZE+(sectorSize-4)*i, /* >=4 for CVE-2017-11110 */
+ 						 1, sectorSize, newfile) != sectorSize) {
+ 			fprintf(stderr, "Error read MSAT!\n");
+ 			ole_finish();
diff -Nru catdoc-0.95/debian/patches/series catdoc-0.95/debian/patches/series
--- catdoc-0.95/debian/patches/series	2017-05-19 12:16:07.000000000 +0200
+++ catdoc-0.95/debian/patches/series	2017-07-20 06:32:01.000000000 +0200
@@ -2,3 +2,4 @@
 02-Fail_on_build_failure.patch
 03-Type_fixes.patch
 04-XLS_parsing_improvements.patch
+05-CVE-2017-11110.patch
